Hoy vamos a ver como instalar compiz, el famoso cubo de linux, y emerald un gestor de ventanas que nos permitirá personalizar más el aspecto de nuestro Debian de 64 bits.

compizemerald

Este procedimiento esta probado en una notebook Dell con placa nvidia, driver que debemos tener instalado previo a este procedimiento. Si necesitas instalar el driver nvidia hace clic aquí.

1- Comenzamos, instalamos paquetes necesarios de compiz:

# aptitude install compiz compizconfig-settings-manager compiz-fusion-plugins-main compiz-fusion-plugins-extra fusion-icon

2- Para lograr que siempre este activoagregamos un comando al iniciar la pc, esto se hace en Sistema/Preferencias/Aplicaciones al inicio. clic en nuevo y completamos de la siguiente forma: (mira bien compiz doble guión medio, juntos)

  • Nombre: Compiz
  • Comando: compiz –replace
  • Comentario: Compiz

3- Ahora instalamos emerald, que me han funcionado muy bien en mi caso descargue las versiones de amd64:

4- Instalamos estos paquetes:

sudo dpkg -i /home/descarga/libemeraldengine0_0.7.2-0ubuntu4_amd64.deb
sudo dpkg -i /home/descarga/emerald_0.7.2-0ubuntu4_amd64.deb

5- Agregamos al inicio para que se active cuando se inicia el equipo en Sistema/Preferencias/Aplicaciones al inicio. clic en nuevo y completamos de la siguiente forma:

  • Nombre: Emerald
  • Comando: Emerald –replace
  • Comentario: Emerald

6- Por último para personalizar mucho más nuestro escritorio podemos descargar themes  desde la siguiente dirección:

http://gnome-look.org/

Ahí seleccionamos el tema que nos interesa abrimos Sistema/Preferencias/Gestor de temas del Emerald

Vamos a importar y cargamos el tema.

Ahora hay que configurar el cubo, lo podemos hacer en Sistemas/Preferencias/Compiz y comenzar a jugar con las distintas opciones.

 

4 Comentarios

  1. Me sale este error, ¿Que puedo hacer?

    No se encontró ninguna versión candidata para compiz
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «compizconfig-settings-manager»
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «compiz-fusion-plugins-main»
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «compiz-fusion-plugins-extra»
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «fusion-icon»
    No se encontró ninguna versión candidata para compiz
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «compizconfig-settings-manager»
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «compiz-fusion-plugins-main»
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «compiz-fusion-plugins-extra»
    No se puede encontrar ningún paquete cuyo nombre o descripción coincida con «fusion-icon»
    No se instalará, actualizará o eliminará ningún paquete.
    0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 1 sin actualizar.

    • Tené en cuenta que se hizo con la versión 6 de Debian, y seguramente te están faltando repositorios, te recomiendo mirar la sección de repositorios en el blog. Saludos

  2. Excelente web amigo! 😀 he seguido varios de tus tutoriales y este es el único que me da problemas T.T.

    Tengo una intel HD3000 (de un procesador i7 2620m) y no logro solucionar el problema.

    Tengo todo instalado correctamente y puedo entrar a las configuraciones, pero no anda debido a problemas con la placa de video

    Un lspci -v | grep -i vga me larga:

    00:02.0 VGA compatible controller: Intel Corporation Sandy Bridge Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])

    y un glxinfo me tira:

    name of display: :0.0
    Unrecognized deviceID 126
    X Error of failed request: BadAlloc (insufficient resources for operation)
    Major opcode of failed request: 154 (GLX)
    Minor opcode of failed request: 3 (X_GLXCreateContext)
    Serial number of failed request: 21
    Current serial number in output stream: 24

    Uso debian 64bit instalado desde net inst con gnome. Porfa, si me ayudas te lo agradeceré mucho, ya no se mas que hacer 🙁

    Saludos y una vez mas, Excelente web! 😉

    • Hola facu, lo que te recomiendo es instalar la última versión del driver de tu placa, nunca use una intel, siempre nvidia, pero por lo general es un tema de drivers, por lo que deberías realizar la instalación correctamente antes de instalar compiz y emerald, prueba con eso y avisa si se te arreglo. Saludo

Deja un comentario